%?mingw_package_header

## NOTE: Lots of files in various subdirectories have the same name (such as
## "LICENSE") so this short macro allows us to distinguish them by using their
## directory names (from the source tree) as prefixes for the files.
%global add_to_doc_files32() \
    mkdir -p %{buildroot}%{_docdir}/mingw32-webkitgtk ||: ; \
    cp -p %1  %{buildroot}%{_docdir}/mingw32-webkitgtk/$(echo '%1' | sed -e 's!/!.!g')
%global add_to_doc_files64() \
    mkdir -p %{buildroot}%{_docdir}/mingw64-webkitgtk ||: ; \
    cp -p %1  %{buildroot}%{_docdir}/mingw64-webkitgtk/$(echo '%1' | sed -e 's!/!.!g')

#define	svn_revision	41071

## Optional build modifications...
## --with coverage: Enables compile-time checking of code coverage.
##	(Default: No)
##
## --with debug: Enable more verbose debugging. Makes runtime a bit slower.
##	Also disables the optimized memory allocator.
##	(Default: No)

%bcond_with	coverage
%bcond_with	debug

Name:		mingw-webkitgtk
Version:	2.4.11
Release:	6%{?dist}
Summary:	MinGW Windows web content engine library

Group:		Development/Libraries
License:	LGPLv2+ and BSD
URL:		http://webkit.org/

Source0:	http://webkitgtk.org/releases/webkitgtk-%{version}.tar.xz

# Fix the build with GCC 6
Patch0:         webkitgtk-2.4.9-abs.patch

# Fix llint build with mingw64, patch taken from
# https://github.com/Alexpux/MINGW-packages/blob/master/mingw-w64-webkitgtk3/0101-webkitgtk-2.4.3-gcc-asm.all.patch
Patch1:         webkitgtk-2.4.3-gcc-asm.all.patch

BuildArch:	noarch

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	gperf
BuildRequires:	perl-interpreter
BuildRequires:	perl(Getopt::Long)
BuildRequires:	python2
BuildRequires:	ruby
BuildRequires:	rubygems

# Required for glib-mkenums
BuildRequires:	glib2-devel

BuildRequires:	gettext

BuildRequires:	mingw32-filesystem >= 95
BuildRequires:	mingw32-gcc
BuildRequires:	mingw32-gcc-c++
BuildRequires:	mingw32-binutils
BuildRequires:	mingw32-fontconfig
BuildRequires:	mingw32-freetype
BuildRequires:	mingw32-gtk2
BuildRequires:	mingw32-icu
BuildRequires:	mingw32-libxml2
BuildRequires:	mingw32-libsoup
BuildRequires:	mingw32-libidn
BuildRequires:	mingw32-sqlite
BuildRequires:	mingw32-libxslt
BuildRequires:	mingw32-pthreads
BuildRequires:	mingw32-enchant
BuildRequires:	mingw32-gstreamer1
BuildRequires:	mingw32-gstreamer1-plugins-base
BuildRequires:  mingw32-libwebp

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-fontconfig
BuildRequires:  mingw64-freetype
BuildRequires:  mingw64-gtk2
BuildRequires:  mingw64-icu
BuildRequires:  mingw64-libxml2
BuildRequires:  mingw64-libsoup
BuildRequires:  mingw64-libidn
BuildRequires:  mingw64-sqlite
BuildRequires:  mingw64-libxslt
BuildRequires:  mingw64-pthreads
BuildRequires:  mingw64-enchant
BuildRequires:  mingw64-gstreamer1
BuildRequires:  mingw64-gstreamer1-plugins-base
BuildRequires:  mingw64-libwebp

%description 
WebKitGTK+ is an open-source Web content engine library.
This package contains the shared libraries for the WebKit GTK+ port
as well as the sample GtkLauncher tool. 

This is the MinGW port of WebKitGTK+


# Win32
%package -n mingw32-webkitgtk
Summary:	MinGW Windows web content engine library

%description -n mingw32-webkitgtk
WebKitGTK+ is an open-source Web content engine library.
This package contains the shared libraries for the WebKit GTK+ port
as well as the sample GtkLauncher tool.

This is the MinGW port of WebKitGTK+

%package -n mingw32-webkitgtk-static
Summary:	Static version of the MinGW Windows WebKitGTK+ library
Requires:	mingw32-webkitgtk = %{version}-%{release}

%description -n mingw32-webkitgtk-static
Static version of the MinGW Windows WebKitGTK+ library.

# Win64
%package -n mingw64-webkitgtk
Summary:        MinGW Windows web content engine library

%description -n mingw64-webkitgtk
WebKitGTK+ is an open-source Web content engine library.
This package contains the shared libraries for the WebKit GTK+ port
as well as the sample GtkLauncher tool.

This is the MinGW port of WebKitGTK+

%package -n mingw64-webkitgtk-static
Summary:        Static version of the MinGW Windows WebKitGTK+ library
Requires:       mingw64-webkitgtk = %{version}-%{release}

%description -n mingw64-webkitgtk-static
Static version of the MinGW Windows WebKitGTK+ library.


%?mingw_debug_package


%prep
%setup -qn "webkitgtk-%{version}"
%patch0 -p1
%patch1 -p1


%build
# lower debug level to prevent memory exhaustion by linker
%global mingw32_cflags %(echo %{mingw32_cflags} | sed 's/-g /-g1 /')
%global mingw64_cflags %(echo %{mingw64_cflags} | sed 's/-g /-g1 /')

# Workaround for linker failure while building the static library
# libtool: link: (cd .libs/libjavascriptcoregtk-1.0.lax/libWTF.a && /usr/bin/i686-w64-mingw32-ar x "/builddir/build/BUILD/webkitgtk-2.0.4/build_win32/./.libs/libWTF.a")
# /usr/bin/i686-w64-mingw32-ar: `x' cannot be used on thin archives.
# make[1]: *** [libjavascriptcoregtk-1.0.la] Error 1
export AR_FLAGS="cru"

%mingw_configure						\
			--enable-win32-target			\
			--with-gtk=2.0				\
			--enable-static --enable-shared		\
			--disable-accelerated-compositing	\
			--disable-egl				\
			--disable-credential-storage		\
			--disable-geolocation			\
			--disable-webkit2			\
			--disable-gtk-doc-html

%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make install DESTDIR=%{buildroot}

install -m 755 build_win32/Programs/.libs/GtkLauncher.exe %{buildroot}%{mingw32_bindir}
install -m 755 build_win64/Programs/.libs/GtkLauncher.exe %{buildroot}%{mingw64_bindir}

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

%mingw_find_lang WebKitGTK-2.0

## Copy over and rename the various files for %%doc inclusion.
%add_to_doc_files32 Source/WebKit/LICENSE
%add_to_doc_files32 Source/WebKit/gtk/NEWS
%add_to_doc_files32 Source/WebCore/icu/LICENSE
%add_to_doc_files32 Source/WebCore/LICENSE-APPLE
%add_to_doc_files32 Source/WebCore/LICENSE-LGPL-2
%add_to_doc_files32 Source/WebCore/LICENSE-LGPL-2.1
%add_to_doc_files32 Source/JavaScriptCore/COPYING.LIB
%add_to_doc_files32 Source/JavaScriptCore/THANKS
%add_to_doc_files32 Source/JavaScriptCore/AUTHORS
%add_to_doc_files32 Source/JavaScriptCore/icu/README
%add_to_doc_files32 Source/JavaScriptCore/icu/LICENSE

%add_to_doc_files64 Source/WebKit/LICENSE
%add_to_doc_files64 Source/WebKit/gtk/NEWS
%add_to_doc_files64 Source/WebCore/icu/LICENSE
%add_to_doc_files64 Source/WebCore/LICENSE-APPLE
%add_to_doc_files64 Source/WebCore/LICENSE-LGPL-2
%add_to_doc_files64 Source/WebCore/LICENSE-LGPL-2.1
%add_to_doc_files64 Source/JavaScriptCore/COPYING.LIB
%add_to_doc_files64 Source/JavaScriptCore/THANKS
%add_to_doc_files64 Source/JavaScriptCore/AUTHORS
%add_to_doc_files64 Source/JavaScriptCore/icu/README
%add_to_doc_files64 Source/JavaScriptCore/icu/LICENSE


# Win32
%files -n mingw32-webkitgtk -f mingw32-WebKitGTK-2.0.lang
%{_docdir}/mingw32-webkitgtk/
%{mingw32_bindir}/jsc-1.exe
%{mingw32_bindir}/GtkLauncher.exe
%{mingw32_bindir}/libjavascriptcoregtk-1.0-0.dll
%{mingw32_bindir}/libwebkitgtk-1.0-0.dll
%{mingw32_includedir}/webkitgtk-1.0/
%{mingw32_libdir}/libjavascriptcoregtk-1.0.dll.a
%{mingw32_libdir}/libwebkitgtk-1.0.dll.a
%{mingw32_libdir}/pkgconfig/javascriptcoregtk-1.0.pc
%{mingw32_libdir}/pkgconfig/webkit-1.0.pc
%{mingw32_datadir}/webkitgtk-1.0/

%files -n mingw32-webkitgtk-static
%{mingw32_libdir}/libjavascriptcoregtk-1.0.a
%{mingw32_libdir}/libwebkitgtk-1.0.a

# Win64
%files -n mingw64-webkitgtk -f mingw64-WebKitGTK-2.0.lang
%{_docdir}/mingw64-webkitgtk/
%{mingw64_bindir}/jsc-1.exe
%{mingw64_bindir}/GtkLauncher.exe
%{mingw64_bindir}/libjavascriptcoregtk-1.0-0.dll
%{mingw64_bindir}/libwebkitgtk-1.0-0.dll
%{mingw64_includedir}/webkitgtk-1.0/
%{mingw64_libdir}/libjavascriptcoregtk-1.0.dll.a
%{mingw64_libdir}/libwebkitgtk-1.0.dll.a
%{mingw64_libdir}/pkgconfig/javascriptcoregtk-1.0.pc
%{mingw64_libdir}/pkgconfig/webkit-1.0.pc
%{mingw64_datadir}/webkitgtk-1.0/

%files -n mingw64-webkitgtk-static
%{mingw64_libdir}/libjavascriptcoregtk-1.0.a
%{mingw64_libdir}/libwebkitgtk-1.0.a


%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 01 2017 Sandro Mani <manisandro@gmail.com> - 2.4.11-3
- Rebuild (libwebp)
- Add missing BR: python2

* Mon Oct 24 2016 Kalev Lember <klember@redhat.com> - 2.4.11-2
- Rebuilt for mingw-icu 57

* Fri May 06 2016 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.4.11-1
- Merged all changes from mingw-webkitgtk3-2.4.11-1:
  - Update to 2.4.11
  - Fix build with GCC 6
  - Re-enabled mingw64 build
  - Added BuildRequires: rubygems
- Fixes the segfault mentioned in RHBZ #1322550

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 29 2015 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.4.9-2
- Rebuild against mingw-libwebp-0.5.0

* Mon Aug 31 2015 Kalev Lember <klember@redhat.com> - 2.4.9-1
- Update to 2.4.9
- Temporarily disable the mingw64 build

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Oct 14 2014 Kalev Lember <kalevlember@gmail.com> - 2.2.8-1
- Update to 2.2.8

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Kalev Lember <kalevlember@gmail.com> - 2.2.7-1
- Update to 2.2.7

* Wed Mar 26 2014 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.2.6-1
- Update to 2.2.6
- Fix use-after-free in WTF threading code (WebKit bug #130122)

* Wed Dec  4 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.2.3-1
- Update to 2.2.3

* Fri Sep 20 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.4-2
- Rebuild against winpthreads

* Fri Aug 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.4-1
- Update to 2.0.4
- Added BR: mingw{32,64}-libwebp
- Use gstreamer1
- Enable JIT
- Switch to unversioned docdirs (#993917)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 13 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.10.2-5
- Rebuild against libpng 1.6

* Mon Jun 17 2013 Kalev Lember <kalevlember@gmail.com> - 1.10.2-4
- Rebuilt for mingw-icu 50

* Sun Jan 27 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.10.2-3
- Rebuild against mingw-gcc 4.8 (win64 uses SEH exceptions now)

* Wed Jan 02 2013 Erik van Pienbroek <erik-fedora@vanpienbroek.nl> - 1.10.2-2
- Rebuilt against mingw-icu 49

* Tue Dec 11 2012 Kalev Lember <kalevlember@gmail.com> - 1.10.2-1
- Update to 1.10.2

* Mon Nov 19 2012 Kalev Lember <kalevlember@gmail.com> - 1.10.1-2
- Disable the JIT to fix crashes in 32-bit builds

* Sat Oct 20 2012 Kalev Lember <kalevlember@gmail.com> - 1.10.1-1
- Update to 1.10.1
- Drop upstreamed patches
- Enable parallel make
- Adjust for webkit -> webkitgtk tarball rename

* Thu Aug 30 2012 Kalev Lember <kalevlember@gmail.com> - 1.8.3-1
- Update to 1.8.3

* Mon Aug 06 2012 Kalev Lember <kalevlember@gmail.com> - 1.8.2-1
- Update to 1.8.2
- Backport NPAPI plugin support from trunk
- Fix the build with spellchecking enabled (Paweł Forysiuk)
- Backport a build fix with bison 2.6

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 27 2012 Kalev Lember <kalevlember@gmail.com> - 1.8.1-1
- Update to 1.8.1
- Dropped the geolocation build patch

* Tue Apr 03 2012 Kalev Lember <kalevlember@gmail.com> - 1.8.0-1
- Update to 1.8.0
- Backported a patch to fix build with --disable-geolocation

* Wed Mar 28 2012 Kalev Lember <kalevlember@gmail.com> - 1.7.92-1
- Update to 1.7.92
- Dropped upstreamed patches
- Disabled geolocation, no mingw-geoclue package yet
- Removed glib-compile-schemas scriplets; the gsettings support was removed in
  webkitgtk 1.8 branch
- Removed build options that configure no longer recognizes

* Sun Mar 18 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.7.5-7
- Added win64 support (contributed by Mikkel Kruse Johnsen)

* Tue Mar 06 2012 Kalev Lember <kalevlember@gmail.com> - 1.7.5-6
- Renamed the source package to mingw-webkitgtk (#800452)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Kalev Lember <kalevlember@gmail.com> - 1.7.5-5
- Fix CFLAGS overriding with latest mingw-filesystem

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.7.5-4
- Rebuild against the mingw-w64 toolchain

* Mon Feb 13 2012 Kalev Lember <kalevlember@gmail.com> - 1.7.5-3
- Enable HTML5 video support
- BR mingw32-gstreamer and mingw32-gstreamer-plugins-base

* Wed Feb 08 2012 Kalev Lember <kalevlember@gmail.com> - 1.7.5-2
- Build with ICU unicode backend and freetype font backend,
  as advised by upstream

* Tue Feb 07 2012 Kalev Lember <kalevlember@gmail.com> - 1.7.5-1
- Update to 1.7.5
- Drop upstreamed patches
- Add a patch to link with gmodule
- Switch to .xz tarballs
- Backport patch to fix WebKitWebView not drawing initially on win32
- Lower debug level to prevent memory exhaustion by linker

* Tue Jan 31 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.6.1-3
- Fix compilation against glib 2.31.2 or higher
- Rebuild against libpng 1.5
- Dropped all .la files

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 02 2011 Kalev Lember <kalevlember@gmail.com> - 1.6.1-1
- Update to 1.6.1
- Dropped upstreamed patches

* Sat Aug 13 2011 Kalev Lember <kalevlember@gmail.com> - 1.5.2-1
- Update to 1.5.2
- Rebased the mingw-fixes patch; dropped upstreamed patches and added two
  additional build fixes.

* Sat Jul 30 2011 Kalev Lember <kalevlember@gmail.com> - 1.4.2-2
- Added rpm scriplets for running glib-compile-schemas

* Thu Jul  7 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.4.2-1
- Update to 1.4.2
- Rebuild for win-iconv

* Sun Jun 19 2011 Kalev Lember <kalev@smartlink.ee> - 1.4.1-1
- Update to 1.4.1
- Dropped upstreamed gcc 4.6 compatibility patch

* Sat Jun 04 2011 Kalev Lember <kalev@smartlink.ee> - 1.4.0-4
- Rebuilt with mingw32-libjpeg-turbo, dropped jpeg_boolean patch (#604702)

* Thu Apr 28 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.4.0-3
- Backported an already upstreamed patch and dropped the relevant
  parts from our own (non-upstreamed yet) patch

* Thu Apr 28 2011 Kalev Lember <kalev@smartlink.ee> - 1.4.0-2
- Replaced TimerQueueTimer related reverts with a single upstreamable patch

* Wed Apr 27 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0
- Drop upstreamed patches
- Fixed compatibility with gcc 4.6
- Disabled spellchecking support for now as it breaks compilation

* Fri Apr 22 2011 Kalev Lember <kalev@smartlink.ee> - 1.3.6-4
- Rebuilt for pseudo-reloc version mismatch (#698827)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 16 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.3.6-2
- Improved the description
- Bundle the various license files
- Dropped the BuildRoot tag, the %%clean section and the
  'rm -rf %%{buildroot}' from the %%install section as they
  aren't needed anymore these days

* Sun Nov 14 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.3.6-1
- Update to 1.3.6

* Sun Nov  7 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.2.5-1
- Update to 1.2.5
- Automatically generate debuginfo subpackage
- Use %%global instead of %%define
- Dropped the manual strip command
- Dropped old patches

* Fri May 22 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1.7-1
- Update to 1.1.7

* Sun May 10 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1.6-1
- Update to 1.1.6
- Updated the patches to apply cleanly against version 1.1.6
- Renamed the package to mingw32-webkitgtk
- Merged the changes from the native webkitgtk package up to 1.1.6-1
- Added a BR: mingw32-enchant (required as of version 1.1.6)

* Sat Apr 25 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.1.5-1
- Adjusted native WebKit .spec file so that it supports mingw32
- Update to 1.1.5
- Updated Source URL
- Added patches from Mikkel Kruse Johnsen for compilation on Win32 environments

* Sat Mar 07 2009 Peter Gordon <peter@thecodergeek.com> - 1.1.1-1
- Update to new upstream release (1.1.1), includes a soname bump.
- Enable gnome-keyring support.

* Wed Mar  4 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1.0-0.21.svn41071
- Compile libJavaScriptCore.a with -fno-strict-aliasing to
  do workaround for #488112

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-0.20.svn41071
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Peter Gordon <peter@thecodergeek.com> 1.1.0-0.19.svn41071
- Update to new upstream snapshot (SVN 41071).
- Drop libsoup build conditional. Use libsoup as default HTTP backend instead
  of cURL, following upstream's default.

* Fri Jan 30 2009 Peter Gordon <peter@thecodergeek.com> 1.1.0-0.18.svn40351
- Fix ownership of doc directory...this time without the oops (#473619).
- Bump package version number to match that used in the configure/build
  scripts. (Thanks to Martin Sourada for the bug report via email.)

* Thu Jan 29 2009 Peter Gordon <peter@thecodergeek.com> 1.0.0-0.17.svn40351
- Update to new upstream snapshot (SVN 40351): adds the WebPolicyDelegate
  implementaton and related API (#482739).
- Drop Bison 2.4 patch (fixed upstream):
  - bison24.patch
- Fixes CVE-2008-6059: Sensitive information disclosure from cookies via
  XMLHttpRequest calls (#484197).

* Sat Nov 29 2008 Peter Gordon <peter@thecodergeek.com> 1.0.0-0.16.svn39370
- Update to new upstream snapshot (SVN 39370)
- Fix ownership of %%_docdir in the doc subpackage. 
- Resolves: bug 473619 (WebKit : Unowned directories).
- Adds webinspector data to the gtk-devel subpackage.
- Add patch from upstream bug 22205 to fix compilation errors with Bison 2.4:
  + bison24.patch
- Add build-time conditional for WML support.

* Thu Oct 23 2008 Peter Gordon <peter@thecodergeek.com> 1.0.0-0.15.svn37790
- Update to new upstream snapshot (SVN 37790).
- Default to freetype font backend for improved CJK/Unicode support. (#448693)
- Add some notes to the build options comments block.
- Add a build-time conditional for jit

* Sun Aug 24 2008 Peter Gordon <peter@thecodergeek.com> 1.0.0-0.14.svn35904
- Update to new upstream snapshot (SVN 35904)

* Fri Jul 04 2008 Peter Gordon <peter@thecodergeek.com>
- Remove outdated and unnecessary GCC 4.3 patch:
  - gcc43.patch
- Fix the curl-devel BuildRequire conditional. (It is only needed when building
  against curl instead of libsoup.)

* Thu Jun 12 2008 Peter Gordon <peter@thecodergeek.com> 1.0.0-0.13.svn34655
- Update to new upstream snapshot (SVN 34655)
- Add some build-time conditionals for non-default features: debug, 
  html5video, libsoup, pango, svg. 

* Tue Jun  3 2008 Caolán McNamara <caolanm@redhat.com> - 1.0.0-0.12.svn34279
- rebuild for new icu

* Tue Jun  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.0-0.11.svn34279
- Update to new upstream snapshot (SVN 34279) anyway
- Add BR: libXt-devel

* Tue Apr 29 2008 Peter Gordon <peter@thecodergeek.com> 1.0.0-0.10.svn32531
- Remove the -Qt subpackage stuff. QtWebKit is now included in Qt proper, as
  of qt-4.4.0-0.6.rc1. (We no longer need separate build-qt and build-gtk
  subdirectories either.)
- Reference: bug 442200 (RFE: WebKit Migration)
- Add libjpeg dependency (was previously pulled in by the qt4-devel dependency
  tree).

* Mon Apr 28 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.0.0-0.9.svn32531
- Update to new upstream snapshot (SVN 32531).
- Fix bug 443048 and hopefully fix bug 444445
- Modify the process of building GTK+ port a bit
- on qt port WebKit/qt/Plugins is not built for qt >= 4.4.0

* Sat Apr 12 2008 Peter Gordon <peter@thecodergeek.com> 1.0.0-0.8.svn31787
- Update to new upstream snapshot (SVN 31787).
- Resolves: CVE-2008-1010 (bug 438532: Arbitrary code execution) and
  CVE-2008-1011 (bug 438531: Cross-Site Scripting).
- Switch to using autotools for building the GTK+ port.

* Wed Mar 05 2008 Peter Gordon <peter@thecodergeek.com> 1.0.0-0.7.svn30667
- Fix the WebKitGtk pkgconfig data (should depend on gtk+-2.0). Resolves
  bug 436073 (Requires: gtk+-2.0 missing from WebKitGtk.pc).
- Thanks to Mamoru Tasaka for helping find and squash these many bugs. 
  
* Sat Mar 01 2008 Peter Gordon <peter@thecodergeek.com> 1.0.0-0.6.svn30667
- Fix include directory naming. Resolves: bug 435561 (Header file <> header
  file location mismatch)
- Remove qt4-devel runtime dependency and .prl file from WebKit-gtk-devel.
  Resolves: bug 433138 (WebKit-gtk-devel has a requirement on qt4-devel) 

* Fri Feb 29 2008 Peter Gordon <peter@thecodergeek.com> 1.0.0-0.5.svn30667
- Update to new upstream snapshot (SVN 30667)
- Add some build fixes for GCC 4.3:
  + gcc43.patch

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.0-0.5.svn29336
- Autorebuild for GCC 4.3

* Wed Jan 09 2008 Peter Gordon <peter@thecodergeek.com> 1.0.0-0.4.svn29336
- Update to new upstream snapshot (SVN 29336).
- Drop TCSpinLock pthread workaround (fixed upstream):
  - TCSpinLock-use-pthread-stubs.patch

* Thu Dec 06 2007 Peter Gordon <peter@thecodergeek.com> 1.0.0-0.3.svn28482
- Add proper %%defattr line to qt, qt-devel, and doc subpackages.
- Add patch to forcibly build the TCSpinLock code using the pthread
  implementation:
  + TCSpinLock-use-pthread-stubs.patch

* Thu Dec 06 2007 Peter Gordon <peter@thecodergeek.com> 1.0.0-0.2.svn28482
- Package renamed from WebKitGtk.
- Update to SVN 28482.
- Build both the GTK and Qt ports, putting each into their own respective
  subpackages.
- Invoke qmake-qt4 and make directly (with SMP build flags) instead of using
  the build-webkit script from upstream.
- Add various AUTHORS, README, and LICENSE files (via the doc subpackage). 

* Tue Dec 04 2007 Peter Gordon <peter@thecodergeek.com> 1.0.0-0.1.svn28383
- Initial packaging for Fedora.
